Package picard.analysis.artifacts

## Class ConvertSequencingArtifactToOxoG

- java.lang.Object
- - picard.cmdline.CommandLineProgram
  - - picard.analysis.artifacts.ConvertSequencingArtifactToOxoG

-     @DocumentedFeature
      public class ConvertSequencingArtifactToOxoG
      extends CommandLineProgram

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `File` | `BAIT_BIAS_IN` |
    `File` | `INPUT_BASE` |
    `File` | `OUTPUT_BASE` |
    `static String` | `OXOG_METRICS_EXT` |
    `File` | `OXOG_OUT` |
    `File` | `PRE_ADAPTER_IN` |

    - ### Fields inherited from class picard.cmdline.CommandLineProgram

      `COMPRESSION_LEVEL, CREATE_INDEX, CREATE_MD5_FILE, GA4GH_CLIENT_SECRETS, MAX_ALLOWABLE_ONE_LINE_SUMMARY_LENGTH, MAX_RECORDS_IN_RAM, QUIET, REFERENCE_SEQUENCE, referenceSequence, specialArgumentsCollection, TMP_DIR, USE_JDK_DEFLATER, USE_JDK_INFLATER, VALIDATION_STRINGENCY, VERBOSITY`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ConvertSequencingArtifactToOxoG()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected String[]` | `customCommandLineValidation()` | Put any custom command-line validation in an override of this method.
    `protected int` | `doWork()` | Do the work after command line has been parsed.

    - ### Methods inherited from class picard.cmdline.CommandLineProgram

      `checkRInstallation, getCommandLine, getCommandLineParser, getCommandLineParserForArgs, getDefaultHeaders, getFaqLink, getMetricsFile, getPGRecord, getStandardUsagePreamble, getStandardUsagePreamble, getVersion, hasWebDocumentation, instanceMain, instanceMainWithExit, makeReferenceArgumentCollection, parseArgs, requiresReference, setDefaultHeaders, useLegacyParser`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### OXOG_METRICS_EXT

          public static final String OXOG_METRICS_EXT

      See Also:
        Constant Field Values

    - #### INPUT_BASE

          @Argument(shortName="I",
                    doc="Basename of the input artifact metrics file (output by CollectSequencingArtifactMetrics). If this is not  specified, you must specify PRE_ADAPTER_IN and BAIT_BIAS_IN",
                    optional=true)
          public File INPUT_BASE

    - #### PRE_ADAPTER_IN

          @Argument(doc="The pre adapter details input file. Defaults to a filename based on the input basename",
                    optional=true)
          public File PRE_ADAPTER_IN

    - #### BAIT_BIAS_IN

          @Argument(doc="The bait bias input file. Defaults to a filename based on the input basename",
                    optional=true)
          public File BAIT_BIAS_IN

    - #### OUTPUT_BASE

          @Argument(shortName="O",
                    doc="Basename for output OxoG metrics. Defaults to same basename as input metrics",
                    optional=true)
          public File OUTPUT_BASE

    - #### OXOG_OUT

          @Argument(doc="File for the output OxoG metrics. Defaults to a filename based on the output basename",
                    optional=true)
          public File OXOG_OUT

  - ### Constructor Detail

    - #### ConvertSequencingArtifactToOxoG

          public ConvertSequencingArtifactToOxoG()

  - ### Method Detail

    - #### customCommandLineValidation

          protected String[] customCommandLineValidation()

      Description copied from class: `CommandLineProgram`
      Put any custom command-line validation in an override of this method. clp is initialized at this point and can be used to print usage and access argv. Any options set by command-line parser can be validated.
      Overrides:
        `customCommandLineValidation` in class `CommandLineProgram`
      Returns:
        null if command line is valid. If command line is invalid, returns an array of error message to be written to the appropriate place.

    - #### doWork

          protected int doWork()

      Description copied from class: `CommandLineProgram`
      Do the work after command line has been parsed. RuntimeException may be thrown by this method, and are reported appropriately.
      Specified by:
        `doWork` in class `CommandLineProgram`
      Returns:
        program exit status.